View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
16726Feature requestsOtherpublic2020-11-16 16:56
Reportergabrieljenik Assigned Togabrieljenik  
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
Product Version3.0 
Target Version3.0 
Summary16726: New config setting for date format and question code - Updates
DescriptionPatching for previous update 16263

New Updates:
- For date questions, the length of the placeholders is set accoding to the format of the question
- Question Title Column width can be set from config-defaults
- For questions with subquestion, the question code is shown withouth the subquestion part. [Bug]
TagsNo tags attached.
Bug heat6

Relationships

related to 16263 closedLimeBot New config setting for date format and question code 
related to 16833 closedgabrieljenik New config setting for date format and question code - Updates 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

gabrieljenik

gabrieljenik

2020-10-08 20:53

manager   ~60126

I have the patches also for LS4.
Will upload them once these are OK
cdorin

cdorin

2020-10-09 08:56

manager   ~60130

Sure, sounds good for both LS3 and LS4
gabrieljenik

gabrieljenik

2020-10-09 16:33

manager   ~60137

https://github.com/LimeSurvey/LimeSurvey/pull/1617
gabrieljenik

gabrieljenik

2020-11-11 11:59

manager   ~60610

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30717
lime_release_bot

lime_release_bot

2020-11-16 09:31

administrator   ~60650

Fixed in Release 3.25.0+201117

Related Changesets

LimeSurvey: 3.x-LTS 418dba3d

2020-11-11 11:59:19

gabrieljenik


Committer: GitHub Details Diff
Dev 16726 new config setting for date format and question code patching (#1617)

* Fixed issue 16726: New config setting for date format and question code - Patching

For questions with subquestion, the question code is shown without the subquestion part.

* Fixed issue 16726: New config setting for date format and question code - Patching

Question Title Column width can be set from config-defaults

* Fixed issue 16726: New config setting for date format and question code - Patching

For date questions, the length of the placeholders is set accoding to the format of the question
Affected Issues
16726
mod - application/config/config-defaults.php Diff File
mod - application/helpers/export_helper.php Diff File
mod - application/libraries/admin/quexmlpdf.php Diff File

Issue History

Date Modified Username Field Change
2020-10-08 20:40 gabrieljenik New Issue
2020-10-08 20:40 gabrieljenik Status new => assigned
2020-10-08 20:40 gabrieljenik Assigned To => LimeBot
2020-10-08 20:40 gabrieljenik Issue generated from: 16263
2020-10-08 20:40 gabrieljenik Relationship added related to 16263
2020-10-08 20:44 gabrieljenik Description Updated View Revisions
2020-10-08 20:48 gabrieljenik Description Updated View Revisions
2020-10-08 20:50 gabrieljenik Assigned To LimeBot => gabrieljenik
2020-10-08 20:50 gabrieljenik Priority none => normal
2020-10-08 20:50 gabrieljenik Product Version => 3.0
2020-10-08 20:50 gabrieljenik Target Version => 3.0
2020-10-08 20:50 gabrieljenik Summary New config setting for date format and question code - Patching => New config setting for date format and question code - Updates
2020-10-08 20:53 gabrieljenik Note Added: 60126
2020-10-09 08:56 cdorin Note Added: 60130
2020-10-09 16:33 gabrieljenik Note Added: 60137
2020-11-11 11:59 gabrieljenik Changeset attached => LimeSurvey 3.x-LTS 418dba3d
2020-11-11 11:59 gabrieljenik Note Added: 60610
2020-11-11 11:59 gabrieljenik Resolution open => fixed
2020-11-16 09:31 lime_release_bot Note Added: 60650
2020-11-16 09:31 lime_release_bot Status assigned => closed
2020-11-16 16:56 gabrieljenik Issue cloned: 16833
2020-11-16 16:56 gabrieljenik Relationship added related to 16833